cURL
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives/<uuid>/unmaskimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const representative = await client.embed.representatives.unmask('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(representative.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
representative = client.embed.representatives.unmask(
representative_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(representative.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
representative = straddle.embed.representatives.unmask("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(representative){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "[email protected]",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Representatives
Unmask representative data
Retrieves the unmasked details of a representative that has previously been created. Supply the unique representative ID, and Straddle will return the corresponding representative information, including sensitive details. This endpoint requires additional authentication and should be used with caution.
GET
/
v1
/
representatives
/
{representative_id}
/
unmask
cURL
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives/<uuid>/unmaskimport Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const representative = await client.embed.representatives.unmask('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(representative.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
representative = client.embed.representatives.unmask(
representative_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(representative.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
representative = straddle.embed.representatives.unmask("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(representative){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "[email protected]",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"response_type": "object",
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Authorizations
Headers
Response
OK
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
Available options:
object, array, error, none Was this page helpful?